/**
 * 
 * \file    TRYME.C
 * \brief   Dummy and senseless source
 * \author  Me
 *
 * \date 12/29/2005 Creation
 */


#include <stdio.h>


/**
 * \fn      int SafeCompare(char *Str1, char *Str2);
 * \brief   Compare two Strings
 *
 * This is a safe version of strcmp that will check both strings before
 * comparing them
 *
 * \param[in]  Str1     First string
 * \param[in]  Str2     Second string
 *
 * \return     The return value is the same that strcmp() would return.
 *             
 */
int SafeCompare(char *Str1, char *Str2)
{
   /**
    * \note And this comment is the reason that the param
    * commands will be somehow ignored....
    */
   if(Str1 == NULL && Str2 == NULL)
     return(0);

   if(Str1 == NULL && Str2 != NULL)
     return(1);

   if(Str1 != NULL && Str2 == NULL)
     return(-1);
   
   return(strcmp(Str1, Str2));
}
